Bug 996568 - CanDoAction on UpdateVmInterfaceCommand when creating VM from template.
CanDoAction on UpdateVmInterfaceCommand when creating VM from template.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.3.0
Unspecified Unspecified
high Severity high
: ---
: 3.3.0
Assigned To: Lior Vernia
nobody nobody
network
: Regression
Depends On:
Blocks: 999550
  Show dependency treegraph
 
Reported: 2013-08-13 08:57 EDT by Leonid Natapov
Modified: 2016-02-10 14:54 EST (History)
9 users (show)

See Also:
Fixed In Version: is12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 18607 None None None Never

  None (edit)
Description Leonid Natapov 2013-08-13 08:57:34 EDT
Description of problem:

Getting CanDoAction on UpdateVmInterfaceCommand when creating VM from template.
Althoug VM created successfully I get the following error message in UI:
----
Error while executing action:
test:
Cannot edit Interface. Changing interface properties is allowed only when the VM is in 'Up' or 'Down' status.
----

engine log shows the following CanDoAction:
-------------------------------------------
2013-08-13 15:47:34,996 INFO  [org.ovirt.engine.core.bll.AsyncTaskManager] (ajp-/127.0.0.1:8702-12) Adding task 7f8db458-2fec-4695-9636-20ae7d3794c6 (Parent Command AddVmFromTemplate, Parameters Type org.ovirt.engine.core.common.asynctasks.AsyncTaskParameters), polling hasn't started yet..
2013-08-13 15:47:35,038 INFO  [org.ovirt.engine.core.dal.dbbroker.auditloghandling.AuditLogDirector] (ajp-/127.0.0.1:8702-12) Correlation ID: 7529217f, Job ID: f24a1311-febe-4b9f-bd19-ab588089311e, Call Stack: null, Custom Event ID: -1, Message: VM haim creation was initiated by admin@internal.
2013-08-13 15:47:35,038 INFO  [org.ovirt.engine.core.bll.SPMAsyncTask] (ajp-/127.0.0.1:8702-12) BaseAsyncTask::StartPollingTask: Starting to poll task 97ce08b6-3f2c-45ed-bcb6-161a5ae03b43.
2013-08-13 15:47:35,039 INFO  [org.ovirt.engine.core.bll.SPMAsyncTask] (ajp-/127.0.0.1:8702-12) BaseAsyncTask::StartPollingTask: Starting to poll task 7f8db458-2fec-4695-9636-20ae7d3794c6.
2013-08-13 15:47:35,097 WARN  [org.ovirt.engine.core.bll.network.vm.UpdateVmInterfaceCommand] (ajp-/127.0.0.1:8702-6) [1b0f2f0b] CanDoAction of action UpdateVmInterface failed. Reasons:VAR__TYPE__INTERFACE,VAR__ACTION__UPDATE,NETWORK_CANNOT_CHANGE_STATUS_WHEN_NOT_DOWN_UP
2013-08-13 15:47:43,994 INFO  [org.ovirt.engine.core.bll.AsyncTaskManager] (DefaultQuartzScheduler_Worker-38) Polling and updating Async Tasks: 4 tasks, 4 tasks to poll now
------------------------------

How reproducible:
Sometimes,not 100%.

Steps to Reproduce:
1.Create VM. 
2.Create template from this VM.
3.Create VM from template.

Actual results:
error message.

Expected results:
no error message and vm successfully created.

Additional info:
Comment 4 Meni Yakove 2013-08-29 05:17:00 EDT
rhevm-3.3.0-0.18.master.el6ev.noarch
Comment 5 tgeft 2013-08-29 05:49:14 EDT
Works on is12
Comment 7 Itamar Heim 2014-01-21 17:26:54 EST
Closing - RHEV 3.3 Released
Comment 8 Itamar Heim 2014-01-21 17:30:10 EST
Closing - RHEV 3.3 Released

Note You need to log in before you can comment on or make changes to this bug.